curl --request POST \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/tokens/{tokenLocator}/transfers \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"amount": "42.69",
"recipient": "CROSSMINT",
"memo": {
"type": "text",
"value": "Hello, world!"
},
"signer": "external-wallet:0xdeadbeef",
"transactionType": "direct"
}
'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/tokens/{tokenLocator}/transfers"
payload = {
"amount": "42.69",
"recipient": "CROSSMINT",
"memo": {
"type": "text",
"value": "Hello, world!"
},
"signer": "external-wallet:0xdeadbeef",
"transactionType": "direct"
}
headers = {
"X-API-KEY": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '42.69',
recipient: 'CROSSMINT',
memo: {type: 'text', value: 'Hello, world!'},
signer: 'external-wallet:0xdeadbeef',
transactionType: 'direct'
})
};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/tokens/{tokenLocator}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainType": "aptos",
"createdAt": 123,
"id": "<string>",
"onChain": {
"call": {
"data": "<unknown>",
"to": "<string>"
},
"explorerLink": "<string>",
"txId": "<string>"
},
"params": {
"call": {
"abi": [
"<unknown>"
],
"address": "<string>",
"args": [
"<unknown>"
],
"functionName": "<string>"
},
"chain": "abstract"
},
"status": "awaiting-approval",
"walletType": "mpc",
"approvals": {
"pending": [
{
"quorumApprovals": {
"pending": [
{
"message": "<string>",
"signer": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
}
}
],
"remaining": 123,
"submitted": [
{
"message": "<string>",
"signature": "<string>",
"signer": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"submitted": [
{
"quorumApprovals": {
"pending": [
{
"message": "<string>",
"signer": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
}
}
],
"remaining": 123,
"submitted": [
{
"message": "<string>",
"signature": "<string>",
"signer": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"required": 123
},
"completedAt": 123,
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"fees": {
"mode": "project",
"actual": "<unknown>",
"billed": {
"usd": 123
},
"billing": {
"status": "failed"
},
"estimate": "<unknown>"
},
"sendParams": {
"params": {
"recipient": "<string>",
"recipientAddress": "<string>",
"amount": "<string>"
},
"token": "<string>"
}
}Transfer Token
Sends a token of any type from this wallet to a recipient
Headers
API key required for authentication
Unique key to prevent duplicate transaction creation
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
A token locator that supports native tokens, fungible tokens, and NFTs across different chains. It can be of the format:
chain:address[:tokenId]chain:currencychain:address
Body
- Option 1
- Option 2
Base fields for all token deposits
Amount of tokens to transfer (in decimal value)
^\d+(?:\.\d*)?$"42.69"
"CROSSMINT"
Optional per-transaction fee configuration override. When omitted, the project default is used.
Show child attributes
Show child attributes
Memo for the transaction. Only supported for Stellar
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
{ "type": "text", "value": "Hello, world!" }
Optional signer locator. Defaults to admin signer
"external-wallet:0xdeadbeef"
Specifies the type of transaction. Choose 'direct' for standard interactions or 'regulated-transfer' for operations requiring compliance checks.
direct Response
The transaction has been successfully created.
- EVM MPC Wallet
- EVM Smart Wallet
- Stellar Smart Wallet
- Solana Smart Wallet
- Solana MPC Wallet
Complete transaction response including status, signing requirements, and wallet type specific data
The blockchain type of the wallet
aptos, evm, solana, stellar, sui ISO timestamp when the transaction was created
Unique identifier for the transaction
Transaction data specific to EVM MPC wallets
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current status of the transaction
awaiting-approval, failed, pending, success The wallet type (smart or mpc)
mpc, smart Complete approval data including requirements, pending and submitted signatures
Show child attributes
Show child attributes
ISO timestamp when the transaction reached finality
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Transaction fee information including actual transaction fees, billed amounts, and billing status
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

